### Name: SpatialRingsDataFrame-class
### Title: Class "SpatialRingsDataFrame"
### Aliases: SpatialRingsDataFrame-class [,SpatialRingsDataFrame-method
###   "$.SpatialRingsDataFrame" "$<-.SpatialRingsDataFrame"
###   as.data.frame.SpatialRingsDataFrame
###   coerce,SpatialRingsDataFrame,data.frame-method getSRSringsIDSlots
###   getSRSringsLabptSlots getSRnParts getSRplotOrderSlot
###   getSRpolygonsSlot getSringAreaSlot getSringCoordsSlot
###   getSringLabptSlot getSringHoleSlot getSringsIDSlot getSringsLabptSlot
###   getSringsSringsSlot getSringsplotOrderSlot
### Keywords: classes

### ** Examples

data(ncshp)
nc1 <- as.SpatialRings.Shapes(nc.shp$Shapes, as.character(nc.shp$att.data$FIPS))
df <- nc.shp$att.data
rownames(df) <- as.character(nc.shp$att.data$FIPS)
identical(rownames(df), getSRSringsIDSlots(nc1))
ncSRDF <- SpatialRingsDataFrame(nc1, df)
names(as(ncSRDF, "data.frame"))
rrt <- as(ncSRDF, "data.frame")$SID74/as(ncSRDF, "data.frame")$BIR74
brks <- quantile(rrt, seq(0,1,1/7))
cols <- grey((length(brks):2)/length(brks))
dens <- (2:length(brks))*3
plot.SpatialRings(ncSRDF, col=cols[findInterval(rrt, brks, all.inside=TRUE)])
plot.SpatialRings(ncSRDF, density=dens[findInterval(rrt, brks, all.inside=TRUE)])



